​

Update custom directory

PATCH
https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}

Updates directory attributes and/or fields. If `fields` is provided, it should contain the full fields list; omitted fields are soft-deleted (condition=removed). To choose a display field, set `is_display=true` for exactly one field in the list.

Path parameters
NameTypeReference
directory_idrequiredstringDirectory ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
name
string
minLength: 1
maxLength: 256

Custom directory name

description
null

No description

string

Custom directory description

condition
enum
[active,inactive,removed]

Custom directory condition

multi_select
boolean

When enabled, directory records can store multiple values per field

allow_editing
boolean

When enabled, directory records can be edited from cards without custom properties permission

fields

array of objects

Schema

Full fields list. Fields omitted from this array are soft-deleted (condition=removed).

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

string

Directory ID (UUID)
name

string

Directory name
description

null | string

Directory description
condition

enum

Directory condition: active | inactive | removed
settings

object

Directory settings
fields

array of objects

Directory fields
author

object

Author user object
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
code

integer

Error code (customDirectoryErrorCodes)
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundObject
Open

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request PATCH \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!